{{ $foss := T "foss" }}
{{ $foss_abbreviation_details := T "foss_abbreviation_details" }}
{{ $foss = replace $foss "%abbr_start%" (printf "<abbr title='%s'>" $foss_abbreviation_details) }}
{{ $foss = replace $foss "%abbr_end%" "</abbr>" }}

{{ $currentPage := . }}

<header class="d-block d-md-none navbar navbar-expand-lg mb-2">
    <div class="container-xxl d-flex flex-wrap flex-lg-nowrap">
        <div class="mb-2 header-intro w-100">
            <div class="d-flex justify-content-between align-items-center">
                <a class="navbar-brand" href="{{ "/" | absLangURL }}">
                    <img class="navigation-logo" width="40" height="40" alt="{{ .Site.Params.name }}" src="{{ .Site.BaseURL }}img/logo.small.webp" title="{{ .Site.Params.name }} logo">
                    &nbsp;
                    {{ .Site.Params.name }}
                </a>

                <div>
                    {{ partial "header-quick-tools.html" . }}
                </div>
            </div>
        </div>

        <div class="w-100">
            <ul class="nav nav-fill">
                {{ range .Site.Menus.main }}
                    {{ $pageName := $.Site.GetPage .URL }}
                    {{ $isActive := eq $currentPage $pageName }}
                    {{ $isActive = or $isActive (eq $.Section (lower .Name)) }}
                    <li class="nav-item">
                        <a class="nav-link {{ if $isActive }} active{{end}}" href="{{ .URL | absLangURL }}">{{ .Name }}</a>
                    </li>
                {{ end }}
            </ul>
        </div>
    </div>
</header>

<header class="d-none d-md-block navbar navbar-expand-lg mb-4 shadow-sm py-3">
    <div class="container-xxl d-flex flex-wrap flex-lg-nowrap">
        <div>
            <a class="navbar-brand" href="{{ "/" | absLangURL }}">
                <img class="navigation-logo" width="40" height="40" alt="{{ .Site.Params.name }}" src="{{ .Site.BaseURL }}img/logo.small.webp" title="{{ .Site.Params.name }} logo">
                {{ .Site.Params.name }}
            </a>
        </div>
        <div>
            <ul class="nav justify-content-center">
                {{ range .Site.Menus.main }}
                    {{ $pageName := $.Site.GetPage .URL }}
                    {{ $isActive := eq $currentPage $pageName }}
                    {{ $isActive = or $isActive (eq $.Section (lower .Name)) }}
                    <li><a class="nav-link px-1 px-md-3{{ if $isActive }} active{{ end}}" href="{{ .URL | absLangURL }}" >{{ .Name }}</a></li>
                {{ end }}
            </ul>
        </div>

        <div>
            {{ partial "header-quick-tools.html" . }}
        </div>
    </div>
</header>
